<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile doxygen_version="1.9.4">
  <compound kind="file">
    <name>alarmevent.h</name>
    <path>tdepim/kalarm/</path>
    <filename>alarmevent_8h.html</filename>
    <class kind="class">KAEvent</class>
  </compound>
  <compound kind="file">
    <name>functions.h</name>
    <path>tdepim/kalarm/</path>
    <filename>functions_8h.html</filename>
    <includes id="alarmevent_8h" name="alarmevent.h" local="yes" imported="no">alarmevent.h</includes>
    <member kind="enumeration">
      <type></type>
      <name>FileType</name>
      <anchorfile>functions_8h.html</anchorfile>
      <anchor>ae700ddb621780d2f5899fcb5aa679b71</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <type></type>
      <name>UpdateStatus</name>
      <anchorfile>functions_8h.html</anchorfile>
      <anchor>a5f8a0770224bc806308500bdb8172a85</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <type></type>
      <name>UpdateError</name>
      <anchorfile>functions_8h.html</anchorfile>
      <anchor>a9833d7a7185b67a9f43a1277c9f36b4c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <type></type>
      <name>KOrgUpdateError</name>
      <anchorfile>functions_8h.html</anchorfile>
      <anchor>a15cd4514efb59231f95dab3f233c71e2</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>currentCalendarVersion</name>
      <anchorfile>functions_8h.html</anchorfile>
      <anchor>a58ada652d3c2fb844e4ed447006f73f8</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>kalarmapp.h</name>
    <path>tdepim/kalarm/</path>
    <filename>kalarmapp_8h.html</filename>
    <includes id="alarmevent_8h" name="alarmevent.h" local="yes" imported="no">alarmevent.h</includes>
  </compound>
  <compound kind="file">
    <name>kalarmiface.h</name>
    <path>tdepim/kalarm/</path>
    <filename>kalarmiface_8h.html</filename>
    <class kind="class">KAlarmIface</class>
  </compound>
  <compound kind="file">
    <name>mainwindow.h</name>
    <path>tdepim/kalarm/</path>
    <filename>mainwindow_8h.html</filename>
    <includes id="alarmevent_8h" name="alarmevent.h" local="yes" imported="no">alarmevent.h</includes>
    <includes id="undo_8h" name="undo.h" local="yes" imported="no">undo.h</includes>
  </compound>
  <compound kind="file">
    <name>messagewin.h</name>
    <path>tdepim/kalarm/</path>
    <filename>messagewin_8h.html</filename>
    <includes id="alarmevent_8h" name="alarmevent.h" local="yes" imported="no">alarmevent.h</includes>
    <class kind="class">MessageWin</class>
  </compound>
  <compound kind="file">
    <name>pickfileradio.h</name>
    <path>tdepim/kalarm/</path>
    <filename>pickfileradio_8h.html</filename>
    <class kind="class">PickFileRadio</class>
  </compound>
  <compound kind="file">
    <name>undo.h</name>
    <path>tdepim/kalarm/</path>
    <filename>undo_8h.html</filename>
  </compound>
  <compound kind="class">
    <name>AlarmCalendar</name>
    <filename>classAlarmCalendar.html</filename>
  </compound>
  <compound kind="class">
    <name>KAEvent</name>
    <filename>classKAEvent.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>Status</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a6699b6a06aa2aec3f59ea0ca29f7365c</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KAlarmIface</name>
    <filename>classKAlarmIface.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>Flags</name>
      <anchorfile>classKAlarmIface.html</anchorfile>
      <anchor>a2a1509214a35f503d6a6b0992e3671cd</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <type></type>
      <name>RecurType</name>
      <anchorfile>classKAlarmIface.html</anchorfile>
      <anchor>a5591e353e630ea7ad085e12da2b5be46</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MainWindowBase</name>
    <filename>classMainWindowBase.html</filename>
  </compound>
  <compound kind="class">
    <name>MessageWin</name>
    <filename>classMessageWin.html</filename>
    <base>MainWindowBase</base>
  </compound>
  <compound kind="class">
    <name>PickFileRadio</name>
    <filename>classPickFileRadio.html</filename>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>setEnabled</name>
      <anchorfile>classPickFileRadio.html</anchorfile>
      <anchor>a74f5694d68df36aa7f12cca3cdaef48b</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PickFileRadio</name>
      <anchorfile>classPickFileRadio.html</anchorfile>
      <anchor>a674c93d913012748eb70db9434ac788d</anchor>
      <arglist>(TQPushButton *button, LineEdit *edit, const TQString &amp;text, TQButtonGroup *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PickFileRadio</name>
      <anchorfile>classPickFileRadio.html</anchorfile>
      <anchor>a2a33febb2736816eba9c7fa96648389c</anchor>
      <arglist>(const TQString &amp;text, TQButtonGroup *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>init</name>
      <anchorfile>classPickFileRadio.html</anchorfile>
      <anchor>a4121fbc3965c2fb5f5e34bee31e837ab</anchor>
      <arglist>(TQPushButton *button, LineEdit *edit=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setReadOnly</name>
      <anchorfile>classPickFileRadio.html</anchorfile>
      <anchor>af8fd97eefba74449244b11125003246a</anchor>
      <arglist>(bool readOnly)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>pickFile</name>
      <anchorfile>classPickFileRadio.html</anchorfile>
      <anchor>ab34987e9d9c0b64ca4bdc99da2f63132</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFile</name>
      <anchorfile>classPickFileRadio.html</anchorfile>
      <anchor>aa1ca613492c66724a31b9762d9eeba16</anchor>
      <arglist>(const TQString &amp;file)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>file</name>
      <anchorfile>classPickFileRadio.html</anchorfile>
      <anchor>afb9ff2ad80c466426893ed835a675ffc</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>LineEdit *</type>
      <name>fileEdit</name>
      <anchorfile>classPickFileRadio.html</anchorfile>
      <anchor>ae39d0f3de480da867154d914d820bfb6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQPushButton *</type>
      <name>pushButton</name>
      <anchorfile>classPickFileRadio.html</anchorfile>
      <anchor>aee60f90d74a84292e8f78e51e338fbab</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>StartOfDayTimer</name>
    <filename>classStartOfDayTimer.html</filename>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>connect</name>
      <anchorfile>classStartOfDayTimer.html</anchorfile>
      <anchor>acc645ea685b64e620f04c65bcd5de714</anchor>
      <arglist>(TQObject *receiver, const char *member)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>disconnect</name>
      <anchorfile>classStartOfDayTimer.html</anchorfile>
      <anchor>a230d13fdc7782b0c8b14545848772175</anchor>
      <arglist>(TQObject *receiver, const char *member=0)</arglist>
    </member>
  </compound>
</tagfile>
