<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile doxygen_version="1.9.4">
  <compound kind="file">
    <name>shellprocess.h</name>
    <path>tdepim/kalarm/lib/</path>
    <filename>shellprocess_8h.html</filename>
    <class kind="class">ShellProcess</class>
  </compound>
  <compound kind="class">
    <name>ButtonGroup</name>
    <filename>classButtonGroup.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>buttonSet</name>
      <anchorfile>classButtonGroup.html</anchorfile>
      <anchor>a0f3742fcfb6d63035a24c6d1902b0466</anchor>
      <arglist>(int id)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ButtonGroup</name>
      <anchorfile>classButtonGroup.html</anchorfile>
      <anchor>a5dfa76aa47426cea1ded0477f3384999</anchor>
      <arglist>(TQWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ButtonGroup</name>
      <anchorfile>classButtonGroup.html</anchorfile>
      <anchor>a9023d9097edb7861316d37929b6635f9</anchor>
      <arglist>(const TQString &amp;title, TQWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ButtonGroup</name>
      <anchorfile>classButtonGroup.html</anchorfile>
      <anchor>af267e13c88c72054c1b9ebb5d0481864</anchor>
      <arglist>(int strips, TQt::Orientation orient, TQWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ButtonGroup</name>
      <anchorfile>classButtonGroup.html</anchorfile>
      <anchor>a1ee6476b11f70d770cce3e62c018825f</anchor>
      <arglist>(int strips, TQt::Orientation orient, const TQString &amp;title, TQWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>insert</name>
      <anchorfile>classButtonGroup.html</anchorfile>
      <anchor>a30d3b697cac2e2af8df89c1337035a0f</anchor>
      <arglist>(TQButton *button, int id=-1)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setButton</name>
      <anchorfile>classButtonGroup.html</anchorfile>
      <anchor>a97188ee94191bb3008c9f8b0298f00b5</anchor>
      <arglist>(int id)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CheckBox</name>
    <filename>classCheckBox.html</filename>
    <member kind="function">
      <type></type>
      <name>CheckBox</name>
      <anchorfile>classCheckBox.html</anchorfile>
      <anchor>a38c13abd579746173d2dffb5b583700a</anchor>
      <arglist>(TQWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CheckBox</name>
      <anchorfile>classCheckBox.html</anchorfile>
      <anchor>a3c46fa51be1e478bf5c03eba29d11e53</anchor>
      <arglist>(const TQString &amp;text, TQWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isReadOnly</name>
      <anchorfile>classCheckBox.html</anchorfile>
      <anchor>aaeceade76f2afa363c28f4b77875f53e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setReadOnly</name>
      <anchorfile>classCheckBox.html</anchorfile>
      <anchor>afc8baa6d58a30ffa753c2bd80aedfdfe</anchor>
      <arglist>(bool readOnly)</arglist>
    </member>
    <member kind="function">
      <type>TQWidget *</type>
      <name>focusWidget</name>
      <anchorfile>classCheckBox.html</anchorfile>
      <anchor>af711bb573c42a6c6215d60fe21204e2c</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFocusWidget</name>
      <anchorfile>classCheckBox.html</anchorfile>
      <anchor>a5dcf01f18cc436d1ed75054fd013e105</anchor>
      <arglist>(TQWidget *widget, bool enable=true)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ColourCombo</name>
    <filename>classColourCombo.html</filename>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>setEnabled</name>
      <anchorfile>classColourCombo.html</anchorfile>
      <anchor>a896dfccdb481118915ddc86482a7e84e</anchor>
      <arglist>(bool enabled)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>activated</name>
      <anchorfile>classColourCombo.html</anchorfile>
      <anchor>a0b4b035ae06a3792763c5565420ddc19</anchor>
      <arglist>(const TQColor &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>highlighted</name>
      <anchorfile>classColourCombo.html</anchorfile>
      <anchor>aaec2989135e1dedb93d9dbce80c6b1fe</anchor>
      <arglist>(const TQColor &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ColourCombo</name>
      <anchorfile>classColourCombo.html</anchorfile>
      <anchor>abbf269e39057c7a722c1b18b325b5a3a</anchor>
      <arglist>(TQWidget *parent=0, const char *name=0, const TQColor &amp;defaultColour=0xFFFFFF)</arglist>
    </member>
    <member kind="function">
      <type>TQColor</type>
      <name>color</name>
      <anchorfile>classColourCombo.html</anchorfile>
      <anchor>a625cbfb12929a5290ee88b7806d3339b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQColor</type>
      <name>colour</name>
      <anchorfile>classColourCombo.html</anchorfile>
      <anchor>a3fa0e68190af90c680f21b2ed46458cf</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setColor</name>
      <anchorfile>classColourCombo.html</anchorfile>
      <anchor>a604e18ea8c1e4730cdad94d92f4a4081</anchor>
      <arglist>(const TQColor &amp;c)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setColour</name>
      <anchorfile>classColourCombo.html</anchorfile>
      <anchor>ab1ee0a7ae497ae26a88281cebc9e5fed</anchor>
      <arglist>(const TQColor &amp;c)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setColours</name>
      <anchorfile>classColourCombo.html</anchorfile>
      <anchor>a2610570257c94cd6f663fc2bee5dbe5f</anchor>
      <arglist>(const ColourList &amp;list)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isCustomColour</name>
      <anchorfile>classColourCombo.html</anchorfile>
      <anchor>a15658e1a98dcb15d0cc7bfd25a469fc4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isReadOnly</name>
      <anchorfile>classColourCombo.html</anchorfile>
      <anchor>aa860ca58ae14331009438d257170fe81</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setReadOnly</name>
      <anchorfile>classColourCombo.html</anchorfile>
      <anchor>a8d775785687068c7672c6d982e528ec6</anchor>
      <arglist>(bool readOnly)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ColourList</name>
    <filename>classColourList.html</filename>
    <member kind="function">
      <type></type>
      <name>ColourList</name>
      <anchorfile>classColourList.html</anchorfile>
      <anchor>a0774619c7194611cde4762568ac4f889</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ColourList</name>
      <anchorfile>classColourList.html</anchorfile>
      <anchor>adbfff145b50c5cf666644a3d74eed2a3</anchor>
      <arglist>(const ColourList &amp;l)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ColourList</name>
      <anchorfile>classColourList.html</anchorfile>
      <anchor>ac58edcea669a6fa3240042687278e526</anchor>
      <arglist>(const TQValueList&lt; TQRgb &gt; &amp;list)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ColourList</name>
      <anchorfile>classColourList.html</anchorfile>
      <anchor>acfdfef04aceed7ad3a2bc5476a1ba072</anchor>
      <arglist>(const TQColor *list)</arglist>
    </member>
    <member kind="function">
      <type>ColourList &amp;</type>
      <name>operator=</name>
      <anchorfile>classColourList.html</anchorfile>
      <anchor>ac6e86c54b043eb73d445d157ae00abd0</anchor>
      <arglist>(const ColourList &amp;l)</arglist>
    </member>
    <member kind="function">
      <type>ColourList &amp;</type>
      <name>operator=</name>
      <anchorfile>classColourList.html</anchorfile>
      <anchor>a43963349f547b70bf43eb3f407d72fd3</anchor>
      <arglist>(const TQValueList&lt; TQRgb &gt; &amp;list)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classColourList.html</anchorfile>
      <anchor>a177f50981499ce63a0bfcfd722a389e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert</name>
      <anchorfile>classColourList.html</anchorfile>
      <anchor>ae8a5728373dbae347a70d57d55db814e</anchor>
      <arglist>(const TQColor &amp;c)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>remove</name>
      <anchorfile>classColourList.html</anchorfile>
      <anchor>a10af7c2469d937cfffcc40827951b143</anchor>
      <arglist>(const TQColor &amp;c)</arglist>
    </member>
    <member kind="function">
      <type>ColourList &amp;</type>
      <name>operator+=</name>
      <anchorfile>classColourList.html</anchorfile>
      <anchor>a570005b2222aa54b60b578d74a1ab914</anchor>
      <arglist>(const TQColor &amp;c)</arglist>
    </member>
    <member kind="function">
      <type>ColourList &amp;</type>
      <name>operator+=</name>
      <anchorfile>classColourList.html</anchorfile>
      <anchor>a4645c5476f5e131520926bc94dff2a42</anchor>
      <arglist>(const ColourList &amp;list)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classColourList.html</anchorfile>
      <anchor>a565971bd74c3a397fb5982cdef5da4a3</anchor>
      <arglist>(const ColourList &amp;l) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchorfile>classColourList.html</anchorfile>
      <anchor>aa789069cc572409c7d9beef29e59dca3</anchor>
      <arglist>(const ColourList &amp;l) const</arglist>
    </member>
    <member kind="function">
      <type>size_type</type>
      <name>count</name>
      <anchorfile>classColourList.html</anchorfile>
      <anchor>a1c3a330fa2828d9a18608a98947b2b01</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEmpty</name>
      <anchorfile>classColourList.html</anchorfile>
      <anchor>ab4004acfd103f5755c06f3a8278567b5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const_iterator</type>
      <name>begin</name>
      <anchorfile>classColourList.html</anchorfile>
      <anchor>a2eda260c05acbf669d296b40ea12ecca</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const_iterator</type>
      <name>end</name>
      <anchorfile>classColourList.html</anchorfile>
      <anchor>a449d28841b73ba12f2d6536c0f476c2e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const_iterator</type>
      <name>fromLast</name>
      <anchorfile>classColourList.html</anchorfile>
      <anchor>acf200d73b4b459dc138eaf79e3e0d61d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const_iterator</type>
      <name>at</name>
      <anchorfile>classColourList.html</anchorfile>
      <anchor>adf93f060a764688743aa31f1f8087f13</anchor>
      <arglist>(size_type i) const</arglist>
    </member>
    <member kind="function">
      <type>size_type</type>
      <name>contains</name>
      <anchorfile>classColourList.html</anchorfile>
      <anchor>a129e63e0136d68c0a3a38af5e99377b5</anchor>
      <arglist>(const TQColor &amp;c) const</arglist>
    </member>
    <member kind="function">
      <type>const_iterator</type>
      <name>find</name>
      <anchorfile>classColourList.html</anchorfile>
      <anchor>a8e29dff095385290687d921c92888753</anchor>
      <arglist>(const TQColor &amp;c) const</arglist>
    </member>
    <member kind="function">
      <type>const_iterator</type>
      <name>find</name>
      <anchorfile>classColourList.html</anchorfile>
      <anchor>ae74f1d8c5e2a7d1f52628fc3fd08e666</anchor>
      <arglist>(const_iterator it, const TQColor &amp;c) const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>findIndex</name>
      <anchorfile>classColourList.html</anchorfile>
      <anchor>a89ba2c20cc47d74c311f70e6310f96c1</anchor>
      <arglist>(const TQColor &amp;c) const</arglist>
    </member>
    <member kind="function">
      <type>TQColor</type>
      <name>first</name>
      <anchorfile>classColourList.html</anchorfile>
      <anchor>ada0bb8df0348bc2cf623aaaddc2c6a3c</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQColor</type>
      <name>last</name>
      <anchorfile>classColourList.html</anchorfile>
      <anchor>a2d186daaabf33e87e6bddce1fb69a4c5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQColor</type>
      <name>operator[]</name>
      <anchorfile>classColourList.html</anchorfile>
      <anchor>a20e389a744106b19f9d08360fcf271c3</anchor>
      <arglist>(size_type i) const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ComboBox</name>
    <filename>classComboBox.html</filename>
    <member kind="function">
      <type></type>
      <name>ComboBox</name>
      <anchorfile>classComboBox.html</anchorfile>
      <anchor>af9ddca9e9d7450e53595d31d620199e1</anchor>
      <arglist>(TQWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ComboBox</name>
      <anchorfile>classComboBox.html</anchorfile>
      <anchor>abeaceffa472a69301853c465a571bb5e</anchor>
      <arglist>(bool rw, TQWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isReadOnly</name>
      <anchorfile>classComboBox.html</anchorfile>
      <anchor>a2f8ac9cda948891bad41fb130ec711fd</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setReadOnly</name>
      <anchorfile>classComboBox.html</anchorfile>
      <anchor>a848ce082b1d01f1f30e6090c83bb6a0e</anchor>
      <arglist>(bool readOnly)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DailyTimer</name>
    <filename>classDailyTimer.html</filename>
    <base>SynchTimer</base>
    <member kind="function">
      <type>void</type>
      <name>changeTime</name>
      <anchorfile>classDailyTimer.html</anchorfile>
      <anchor>acc2f8c43bb8cb3f745269d06067515f7</anchor>
      <arglist>(const TQTime &amp;newTimeOfDay, bool triggerMissed=true)</arglist>
    </member>
    <member kind="function">
      <type>TQTime</type>
      <name>timeOfDay</name>
      <anchorfile>classDailyTimer.html</anchorfile>
      <anchor>a348eeefedd2fefcbc6e9820ece49ded3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>connect</name>
      <anchorfile>classDailyTimer.html</anchorfile>
      <anchor>a8629cfc27155e9e74c9cdf8e59d07d7f</anchor>
      <arglist>(const TQTime &amp;timeOfDay, TQObject *receiver, const char *member)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>disconnect</name>
      <anchorfile>classDailyTimer.html</anchorfile>
      <anchor>a395a630de8ec0c01f1dce8ddd67e549b</anchor>
      <arglist>(const TQTime &amp;timeOfDay, TQObject *receiver, const char *member=0)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>DailyTimer</name>
      <anchorfile>classDailyTimer.html</anchorfile>
      <anchor>a87af1e9bb31c1bc4616e660fcabe0a7d</anchor>
      <arglist>(const TQTime &amp;, bool fixed)</arglist>
    </member>
    <member kind="function" protection="protected" static="yes">
      <type>static DailyTimer *</type>
      <name>fixedInstance</name>
      <anchorfile>classDailyTimer.html</anchorfile>
      <anchor>a76ce22918b4412857445d5a64c115351</anchor>
      <arglist>(const TQTime &amp;timeOfDay, bool create=true)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DateEdit</name>
    <filename>classDateEdit.html</filename>
    <base>KDateEdit</base>
    <member kind="function">
      <type></type>
      <name>DateEdit</name>
      <anchorfile>classDateEdit.html</anchorfile>
      <anchor>ae2a0c96128b7acd2b7f60f037e4e1fad</anchor>
      <arglist>(TQWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValid</name>
      <anchorfile>classDateEdit.html</anchorfile>
      <anchor>a483fc91d8ee2acf278f708bb4865a86c</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const TQDate &amp;</type>
      <name>minDate</name>
      <anchorfile>classDateEdit.html</anchorfile>
      <anchor>ae1fb37da90e01df2a6a4da0b0b985373</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const TQDate &amp;</type>
      <name>maxDate</name>
      <anchorfile>classDateEdit.html</anchorfile>
      <anchor>a7ce43399df58746c609b06c22b29d685</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMinDate</name>
      <anchorfile>classDateEdit.html</anchorfile>
      <anchor>aef8a7901b23012dac759ecb9793c9539</anchor>
      <arglist>(const TQDate &amp;date, const TQString &amp;errorDate=TQString())</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMaxDate</name>
      <anchorfile>classDateEdit.html</anchorfile>
      <anchor>a5ec4ce37b3285f4276dedce73c8476cb</anchor>
      <arglist>(const TQDate &amp;date, const TQString &amp;errorDate=TQString())</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setInvalid</name>
      <anchorfile>classDateEdit.html</anchorfile>
      <anchor>add811db366b2a7a0b7852c3f18a534d0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DateTime</name>
    <filename>classDateTime.html</filename>
    <member kind="function">
      <type></type>
      <name>DateTime</name>
      <anchorfile>classDateTime.html</anchorfile>
      <anchor>a3ccfb87f7a2e9683b91964e32d907161</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DateTime</name>
      <anchorfile>classDateTime.html</anchorfile>
      <anchor>a4bc3690a3a1d83fed4caace2889d63ef</anchor>
      <arglist>(const TQDate &amp;d)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DateTime</name>
      <anchorfile>classDateTime.html</anchorfile>
      <anchor>a6a9e293934096dfa8955c101f024bfb6</anchor>
      <arglist>(const TQDate &amp;d, const TQTime &amp;t)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DateTime</name>
      <anchorfile>classDateTime.html</anchorfile>
      <anchor>a4e90cc9f1b6d63163287888dd57d0e1e</anchor>
      <arglist>(const TQDateTime &amp;dt, bool dateOnly=false)</arglist>
    </member>
    <member kind="function">
      <type>DateTime &amp;</type>
      <name>operator=</name>
      <anchorfile>classDateTime.html</anchorfile>
      <anchor>a8f50c5bff7a01f5a5176acbe3a5648b9</anchor>
      <arglist>(const DateTime &amp;dt)</arglist>
    </member>
    <member kind="function">
      <type>DateTime &amp;</type>
      <name>operator=</name>
      <anchorfile>classDateTime.html</anchorfile>
      <anchor>ada24f9cfe200b17ea73581f5bc75b193</anchor>
      <arglist>(const TQDateTime &amp;dt)</arglist>
    </member>
    <member kind="function">
      <type>DateTime &amp;</type>
      <name>operator=</name>
      <anchorfile>classDateTime.html</anchorfile>
      <anchor>a4ba107cb8a908e4182403a1d0004368e</anchor>
      <arglist>(const TQDate &amp;d)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNull</name>
      <anchorfile>classDateTime.html</anchorfile>
      <anchor>a3be372f0d630f81c917cdbc6dc241202</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValid</name>
      <anchorfile>classDateTime.html</anchorfile>
      <anchor>a21b2a59fbde555e5c5688d44e9d95aec</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isDateOnly</name>
      <anchorfile>classDateTime.html</anchorfile>
      <anchor>a09561b434706cbd5f94279007b862c0d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDateOnly</name>
      <anchorfile>classDateTime.html</anchorfile>
      <anchor>a43e4a7572420c1b7526ca937bfa21ca3</anchor>
      <arglist>(bool d)</arglist>
    </member>
    <member kind="function">
      <type>TQDate</type>
      <name>date</name>
      <anchorfile>classDateTime.html</anchorfile>
      <anchor>a9ebb0726a8869f30d4ffd8345f6112ff</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQTime</type>
      <name>time</name>
      <anchorfile>classDateTime.html</anchorfile>
      <anchor>aac4ec8e5bc449b567b9c1fc369bc1ea0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQDateTime</type>
      <name>dateTime</name>
      <anchorfile>classDateTime.html</anchorfile>
      <anchor>a2298f5df2d64f940954a457ee8aaf177</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQDateTime</type>
      <name>rawDateTime</name>
      <anchorfile>classDateTime.html</anchorfile>
      <anchor>acbe024a13d834ecc85046adc0320bd0b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set</name>
      <anchorfile>classDateTime.html</anchorfile>
      <anchor>a2219c7072bd483536eea533c1a5438aa</anchor>
      <arglist>(const TQDateTime &amp;dt, bool dateOnly=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set</name>
      <anchorfile>classDateTime.html</anchorfile>
      <anchor>a31a426b4c77e7a475d8bd937041d9252</anchor>
      <arglist>(const TQDate &amp;d, const TQTime &amp;t)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTime</name>
      <anchorfile>classDateTime.html</anchorfile>
      <anchor>ae77cf9faa73c0119e32b0bd24d401ed2</anchor>
      <arglist>(const TQTime &amp;t)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTime_t</name>
      <anchorfile>classDateTime.html</anchorfile>
      <anchor>a07b48b4a2498dc6caef33bfeb07c28a8</anchor>
      <arglist>(uint secs)</arglist>
    </member>
    <member kind="function">
      <type>DateTime</type>
      <name>addSecs</name>
      <anchorfile>classDateTime.html</anchorfile>
      <anchor>a62406145768c8abca88fd959f66c450f</anchor>
      <arglist>(int n) const</arglist>
    </member>
    <member kind="function">
      <type>DateTime</type>
      <name>addMins</name>
      <anchorfile>classDateTime.html</anchorfile>
      <anchor>a4151712e04b74fabe55b97f81c0c4aff</anchor>
      <arglist>(int n) const</arglist>
    </member>
    <member kind="function">
      <type>DateTime</type>
      <name>addDays</name>
      <anchorfile>classDateTime.html</anchorfile>
      <anchor>a5cff27bf8c854374268c80da789534b5</anchor>
      <arglist>(int n) const</arglist>
    </member>
    <member kind="function">
      <type>DateTime</type>
      <name>addMonths</name>
      <anchorfile>classDateTime.html</anchorfile>
      <anchor>a44626168950dac962af6432478d77642</anchor>
      <arglist>(int n) const</arglist>
    </member>
    <member kind="function">
      <type>DateTime</type>
      <name>addYears</name>
      <anchorfile>classDateTime.html</anchorfile>
      <anchor>acf0bab84a47da952ae8013989de38eff</anchor>
      <arglist>(int n) const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>daysTo</name>
      <anchorfile>classDateTime.html</anchorfile>
      <anchor>a49878f3e7fbdf2db0b4ed12421c92f5c</anchor>
      <arglist>(const DateTime &amp;dt) const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>minsTo</name>
      <anchorfile>classDateTime.html</anchorfile>
      <anchor>a60b078fe733c219cd4bcfc8c4c9aa677</anchor>
      <arglist>(const DateTime &amp;dt) const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>secsTo</name>
      <anchorfile>classDateTime.html</anchorfile>
      <anchor>a6169a1bbd95edfce3b49f8ccb627ca86</anchor>
      <arglist>(const DateTime &amp;dt) const</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>toString</name>
      <anchorfile>classDateTime.html</anchorfile>
      <anchor>aa27bd8f985ece535a1eb5290cf94711b</anchor>
      <arglist>(TQt::DateFormat f=TQt::TextDate) const</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>toString</name>
      <anchorfile>classDateTime.html</anchorfile>
      <anchor>a7e22559af004efcf8c10783defc5e0e9</anchor>
      <arglist>(const TQString &amp;format) const</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>formatLocale</name>
      <anchorfile>classDateTime.html</anchorfile>
      <anchor>a4b2fff3a2b6213bd969eaa1c2494a906</anchor>
      <arglist>(bool shortFormat=true) const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setStartOfDay</name>
      <anchorfile>classDateTime.html</anchorfile>
      <anchor>a7b1865bb3e0e04ed4d49a902298173a1</anchor>
      <arglist>(const TQTime &amp;sod)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQTime</type>
      <name>startOfDay</name>
      <anchorfile>classDateTime.html</anchorfile>
      <anchor>a0cebb2f6b00a915c4e42b830f186db6b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend">
      <type>friend bool</type>
      <name>operator==</name>
      <anchorfile>classDateTime.html</anchorfile>
      <anchor>a91d7fafdbeefa54fd0a1d3b94603e080</anchor>
      <arglist>(const DateTime &amp;dt1, const DateTime &amp;dt2)</arglist>
    </member>
    <member kind="friend">
      <type>friend bool</type>
      <name>operator&lt;</name>
      <anchorfile>classDateTime.html</anchorfile>
      <anchor>a02e5f64a02e89468a0941b89aeaffcc5</anchor>
      <arglist>(const DateTime &amp;dt1, const DateTime &amp;dt2)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Label</name>
    <filename>classLabel.html</filename>
    <member kind="function">
      <type></type>
      <name>Label</name>
      <anchorfile>classLabel.html</anchorfile>
      <anchor>a04e21b8dbbc5bbc80f9f55da65f7c157</anchor>
      <arglist>(TQWidget *parent, const char *name=0, WFlags f=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Label</name>
      <anchorfile>classLabel.html</anchorfile>
      <anchor>a8c052c6290dfcf68801cc290d431ccef</anchor>
      <arglist>(const TQString &amp;text, TQWidget *parent, const char *name=0, WFlags f=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Label</name>
      <anchorfile>classLabel.html</anchorfile>
      <anchor>a03f7496df3f7094201f99c3bd3c128d5</anchor>
      <arglist>(TQWidget *buddy, const TQString &amp;text, TQWidget *parent, const char *name=0, WFlags f=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setBuddy</name>
      <anchorfile>classLabel.html</anchorfile>
      <anchor>a2dd9a24d2e79a46a85dcb508b5211f86</anchor>
      <arglist>(TQWidget *buddy)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>LineEdit</name>
    <filename>classLineEdit.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>Type</name>
      <anchorfile>classLineEdit.html</anchorfile>
      <anchor>a113569d5b04d4e17d0a94308ce9579d4</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>setText</name>
      <anchorfile>classLineEdit.html</anchorfile>
      <anchor>aaf76a98b9f8266ce8a087d8813f92b2c</anchor>
      <arglist>(const TQString &amp;str)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>LineEdit</name>
      <anchorfile>classLineEdit.html</anchorfile>
      <anchor>a56bd8a826c90cfe0b29d1114515a771e</anchor>
      <arglist>(Type type, TQWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>LineEdit</name>
      <anchorfile>classLineEdit.html</anchorfile>
      <anchor>a711508f3e7abf3fbcd5db5588aab4de9</anchor>
      <arglist>(TQWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setNoSelect</name>
      <anchorfile>classLineEdit.html</anchorfile>
      <anchor>aa2d3b0bcd7e16452afb7d406c690524a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCursorAtEnd</name>
      <anchorfile>classLineEdit.html</anchorfile>
      <anchor>a5b57fbb7c589b2bf94bcf5f41240fbc0</anchor>
      <arglist>(bool end=true)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MessageBox</name>
    <filename>classMessageBox.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>AskType</name>
      <anchorfile>classMessageBox.html</anchorfile>
      <anchor>a62df833a42d05385063073855b9ebe42</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" static="yes">
      <type>static ButtonCode</type>
      <name>getContinueDefault</name>
      <anchorfile>classMessageBox.html</anchorfile>
      <anchor>aad5c3ad11f7a9c3ff1a6e2ccfe462beb</anchor>
      <arglist>(const TQString &amp;dontAskAgainName)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setContinueDefault</name>
      <anchorfile>classMessageBox.html</anchorfile>
      <anchor>a4344837ee12885511b3eefeeb00759b5</anchor>
      <arglist>(const TQString &amp;dontAskAgainName, ButtonCode defaultButton)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>warningContinueCancel</name>
      <anchorfile>classMessageBox.html</anchorfile>
      <anchor>a83282681bad599d1143580940438ca3f</anchor>
      <arglist>(TQWidget *parent, ButtonCode defaultButton, const TQString &amp;text, const TQString &amp;caption=TQString(), const KGuiItem &amp;buttonContinue=KStdGuiItem::cont(), const TQString &amp;dontAskAgainName=TQString())</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>warningContinueCancel</name>
      <anchorfile>classMessageBox.html</anchorfile>
      <anchor>acabe01608d46702567efa2eb7e62c475</anchor>
      <arglist>(TQWidget *parent, const TQString &amp;text, const TQString &amp;caption=TQString(), const KGuiItem &amp;buttonContinue=KStdGuiItem::cont(), const TQString &amp;dontAskAgainName=TQString())</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>setDefaultShouldBeShownContinue</name>
      <anchorfile>classMessageBox.html</anchorfile>
      <anchor>a856e60292c51edee8288e19620529cec</anchor>
      <arglist>(const TQString &amp;dontShowAgainName, bool defaultShow)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>shouldBeShownContinue</name>
      <anchorfile>classMessageBox.html</anchorfile>
      <anchor>a0f3bfb9753939e4faa33d5165b077d54</anchor>
      <arglist>(const TQString &amp;dontShowAgainName)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>saveDontShowAgainYesNo</name>
      <anchorfile>classMessageBox.html</anchorfile>
      <anchor>af1d89dd5a8d1b465040ad582e8723f22</anchor>
      <arglist>(const TQString &amp;dontShowAgainName, bool dontShow=true, ButtonCode result=No)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>saveDontShowAgainContinue</name>
      <anchorfile>classMessageBox.html</anchorfile>
      <anchor>a17f5a4bb8904ceb0a7f888c41738de26</anchor>
      <arglist>(const TQString &amp;dontShowAgainName, bool dontShow=true)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setDontShowAskAgainConfig</name>
      <anchorfile>classMessageBox.html</anchorfile>
      <anchor>a8d140191110a2bccc645fd8ea86c5339</anchor>
      <arglist>(TDEConfig *cfg)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MidnightTimer</name>
    <filename>classMidnightTimer.html</filename>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>connect</name>
      <anchorfile>classMidnightTimer.html</anchorfile>
      <anchor>a3d0af3fc8ec2818ff03ce9a5113ed9d7</anchor>
      <arglist>(TQObject *receiver, const char *member)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>disconnect</name>
      <anchorfile>classMidnightTimer.html</anchorfile>
      <anchor>a4c691b0212e991be4f9a4ceb6db3a7e2</anchor>
      <arglist>(TQObject *receiver, const char *member=0)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MinuteTimer</name>
    <filename>classMinuteTimer.html</filename>
    <base>SynchTimer</base>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>connect</name>
      <anchorfile>classMinuteTimer.html</anchorfile>
      <anchor>aca70374ed0b4299b5c4e0c4b1061ca4b</anchor>
      <arglist>(TQObject *receiver, const char *member)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>disconnect</name>
      <anchorfile>classMinuteTimer.html</anchorfile>
      <anchor>a2a33956f5e6e5004f01805a8176ba593</anchor>
      <arglist>(TQObject *receiver, const char *member=0)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PushButton</name>
    <filename>classPushButton.html</filename>
    <member kind="function">
      <type></type>
      <name>PushButton</name>
      <anchorfile>classPushButton.html</anchorfile>
      <anchor>a88cdc7ae5a4422dd4bbd50a72689b932</anchor>
      <arglist>(TQWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PushButton</name>
      <anchorfile>classPushButton.html</anchorfile>
      <anchor>a5313e67330ac52e2f2a8865b68e842ca</anchor>
      <arglist>(const TQString &amp;text, TQWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PushButton</name>
      <anchorfile>classPushButton.html</anchorfile>
      <anchor>aef2542e35e47532a7e275ac20b94301e</anchor>
      <arglist>(const TQIconSet &amp;icon, const TQString &amp;text, TQWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setReadOnly</name>
      <anchorfile>classPushButton.html</anchorfile>
      <anchor>a334ddcf3cac1216cbc3395fcb689bc77</anchor>
      <arglist>(bool readOnly)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isReadOnly</name>
      <anchorfile>classPushButton.html</anchorfile>
      <anchor>abffade5681baf087a51e03dfa2cd491e</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>RadioButton</name>
    <filename>classRadioButton.html</filename>
    <member kind="function">
      <type></type>
      <name>RadioButton</name>
      <anchorfile>classRadioButton.html</anchorfile>
      <anchor>af06d82b0a519eb6c00414c62addf099e</anchor>
      <arglist>(TQWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>RadioButton</name>
      <anchorfile>classRadioButton.html</anchorfile>
      <anchor>ae0a102bdc700ef2fae11e7c2a461b18b</anchor>
      <arglist>(const TQString &amp;text, TQWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isReadOnly</name>
      <anchorfile>classRadioButton.html</anchorfile>
      <anchor>a45021e0c3bfed64ef96e7493a32e59c4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setReadOnly</name>
      <anchorfile>classRadioButton.html</anchorfile>
      <anchor>a53ee6af68d018b876eacb5a67ee90558</anchor>
      <arglist>(bool readOnly)</arglist>
    </member>
    <member kind="function">
      <type>TQWidget *</type>
      <name>focusWidget</name>
      <anchorfile>classRadioButton.html</anchorfile>
      <anchor>a9e2dadd408af51e3fdf3ce025aaf713a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFocusWidget</name>
      <anchorfile>classRadioButton.html</anchorfile>
      <anchor>a7652fdd37e309a8b7d17e2cbfe047130</anchor>
      <arglist>(TQWidget *widget, bool enable=true)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ShellProcess</name>
    <filename>classShellProcess.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>Status</name>
      <anchorfile>classShellProcess.html</anchorfile>
      <anchor>aa621f828812dd253cd7fae7c74a6cce9</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>shellExited</name>
      <anchorfile>classShellProcess.html</anchorfile>
      <anchor>a700e2ae26a88d5e2a9d5d1a63be2a45e</anchor>
      <arglist>(ShellProcess *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ShellProcess</name>
      <anchorfile>classShellProcess.html</anchorfile>
      <anchor>ac7fc8541d66625d97f7b2248d9367cfa</anchor>
      <arglist>(const TQString &amp;command)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>start</name>
      <anchorfile>classShellProcess.html</anchorfile>
      <anchor>ad0d03c8890d9d65390331a08639a55cb</anchor>
      <arglist>(Communication comm=NoCommunication)</arglist>
    </member>
    <member kind="function">
      <type>Status</type>
      <name>status</name>
      <anchorfile>classShellProcess.html</anchorfile>
      <anchor>ad6d1fea8f461a1f3962034f4fd856df2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>normalExit</name>
      <anchorfile>classShellProcess.html</anchorfile>
      <anchor>acac1ddbdf6e35b5d51d3a55419c792f7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>command</name>
      <anchorfile>classShellProcess.html</anchorfile>
      <anchor>ae622f04853b9078d7877d2871febaeb2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>errorMessage</name>
      <anchorfile>classShellProcess.html</anchorfile>
      <anchor>aaf77ad1f9eea096d1dad8ebebc270ae9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeStdin</name>
      <anchorfile>classShellProcess.html</anchorfile>
      <anchor>acb791e66ac48bfde8099158ef1981ba0</anchor>
      <arglist>(const char *buffer, int bufflen)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>stdinExit</name>
      <anchorfile>classShellProcess.html</anchorfile>
      <anchor>ace5ee3743de668f13f183878ec9ca6d3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>authorised</name>
      <anchorfile>classShellProcess.html</anchorfile>
      <anchor>a54d0ce5a9604c1ecb73b2df02aad0004</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const TQCString &amp;</type>
      <name>shellName</name>
      <anchorfile>classShellProcess.html</anchorfile>
      <anchor>ad8b2ba2cf4ae529cb4018667394f5a58</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const TQCString &amp;</type>
      <name>shellPath</name>
      <anchorfile>classShellProcess.html</anchorfile>
      <anchor>abfeebaab8d6c1696566e67f982cb7341</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Slider</name>
    <filename>classSlider.html</filename>
    <member kind="function">
      <type></type>
      <name>Slider</name>
      <anchorfile>classSlider.html</anchorfile>
      <anchor>a72fccd96b08112ad60402bc25cbdd310</anchor>
      <arglist>(TQWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Slider</name>
      <anchorfile>classSlider.html</anchorfile>
      <anchor>ab4cfd662b9c52b0a778ba5752d2c35f2</anchor>
      <arglist>(TQt::Orientation orient, TQWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Slider</name>
      <anchorfile>classSlider.html</anchorfile>
      <anchor>a8ba7eefd9d6e87945a4bfff620523f5a</anchor>
      <arglist>(int minValue, int maxValue, int pageStep, int value, TQt::Orientation orient, TQWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isReadOnly</name>
      <anchorfile>classSlider.html</anchorfile>
      <anchor>ab981c5771ab39fbd591df0d175f8ad4c</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setReadOnly</name>
      <anchorfile>classSlider.html</anchorfile>
      <anchor>a50098cc84ce8ecc593d0d89e58cfc6ab</anchor>
      <arglist>(bool readOnly)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SpinBox</name>
    <filename>classSpinBox.html</filename>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>stepUp</name>
      <anchorfile>classSpinBox.html</anchorfile>
      <anchor>a5493937a6feff7bc2f210de8fb7b123b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>stepDown</name>
      <anchorfile>classSpinBox.html</anchorfile>
      <anchor>ac1617da27eb80d128df0494af817847f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>stepped</name>
      <anchorfile>classSpinBox.html</anchorfile>
      <anchor>a1b4a69165f170190f347a5af23719953</anchor>
      <arglist>(int step)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SpinBox</name>
      <anchorfile>classSpinBox.html</anchorfile>
      <anchor>a6087553e654def1777e58f9423254c3d</anchor>
      <arglist>(TQWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SpinBox</name>
      <anchorfile>classSpinBox.html</anchorfile>
      <anchor>a705bf36c2d91a0f2221b7871a004184b</anchor>
      <arglist>(int minValue, int maxValue, int step=1, TQWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isReadOnly</name>
      <anchorfile>classSpinBox.html</anchorfile>
      <anchor>ab3589f718b0a9988e3ca8312a33e44b5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setReadOnly</name>
      <anchorfile>classSpinBox.html</anchorfile>
      <anchor>a3a26b2abea7b8a959654fde1c680a41b</anchor>
      <arglist>(bool readOnly)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>selectOnStep</name>
      <anchorfile>classSpinBox.html</anchorfile>
      <anchor>a750d4aebafedecb498d7ba59f821bcf6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSelectOnStep</name>
      <anchorfile>classSpinBox.html</anchorfile>
      <anchor>a3a20613c26983ec23a79a5dc9edfca9f</anchor>
      <arglist>(bool sel)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addValue</name>
      <anchorfile>classSpinBox.html</anchorfile>
      <anchor>aad8d9b8b50135ad0b7962b9b7282a454</anchor>
      <arglist>(int change)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>minValue</name>
      <anchorfile>classSpinBox.html</anchorfile>
      <anchor>a3fdda6141cf3d35c335a9f74fb66963b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>maxValue</name>
      <anchorfile>classSpinBox.html</anchorfile>
      <anchor>a2d31b48b12d7eb46667f22d48e94ab80</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMinValue</name>
      <anchorfile>classSpinBox.html</anchorfile>
      <anchor>a3f6a1cc90f0a30b36f5d298b04946bab</anchor>
      <arglist>(int val)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMaxValue</name>
      <anchorfile>classSpinBox.html</anchorfile>
      <anchor>aced890cbf5c79918666ddd8b64ab881f</anchor>
      <arglist>(int val)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRange</name>
      <anchorfile>classSpinBox.html</anchorfile>
      <anchor>a787968e41112c029244d50169315df7a</anchor>
      <arglist>(int minValue, int maxValue)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>bound</name>
      <anchorfile>classSpinBox.html</anchorfile>
      <anchor>aa795f611000b92f83e856159a0ae2614</anchor>
      <arglist>(int val) const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>lineStep</name>
      <anchorfile>classSpinBox.html</anchorfile>
      <anchor>a2f28b7412112b072d37bae431d1ff251</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLineStep</name>
      <anchorfile>classSpinBox.html</anchorfile>
      <anchor>a888b8e243d35a890370cda29441219cb</anchor>
      <arglist>(int step)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>lineShiftStep</name>
      <anchorfile>classSpinBox.html</anchorfile>
      <anchor>adfce32af88d0aab6aeff56746d31d449</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLineShiftStep</name>
      <anchorfile>classSpinBox.html</anchorfile>
      <anchor>a22475e965f4dd740445a691fdb996015</anchor>
      <arglist>(int step)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>valueChange</name>
      <anchorfile>classSpinBox.html</anchorfile>
      <anchor>a06caba410f04dcca36f2a63786d5f187</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual int</type>
      <name>shiftStepAdjustment</name>
      <anchorfile>classSpinBox.html</anchorfile>
      <anchor>aa7739d2b356775c869b4eea5f843f68d</anchor>
      <arglist>(int oldValue, int shiftStep)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>eventFilter</name>
      <anchorfile>classSpinBox.html</anchorfile>
      <anchor>a038653da805d3f199d3aee82016c392a</anchor>
      <arglist>(TQObject *, TQEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>updateDisplay</name>
      <anchorfile>classSpinBox.html</anchorfile>
      <anchor>afbfa83f25dbc2781ce8d9d2903062901</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SpinBox2</name>
    <filename>classSpinBox2.html</filename>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>setValue</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>ad71f3957ae296ba400a9226a6d361b71</anchor>
      <arglist>(int val)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>setPrefix</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>a05e5193e014169d7ea8d7ad8c5604a54</anchor>
      <arglist>(const TQString &amp;text)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>setSuffix</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>aa2163794d3e49cf222f994f3269909ee</anchor>
      <arglist>(const TQString &amp;text)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>stepUp</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>ae5442b8a54069d293e3fa94703b4c6be</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>stepDown</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>aa5a4bcc750eb8a7486925ef276efb75e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>pageUp</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>aa5c99e3c16027796ec91e4dcc5381fdf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>pageDown</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>a22e2c45f4d9b17e141c8e2c21f3b8b66</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>selectAll</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>ad741f021f5e3179830adb065460bbc46</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>setEnabled</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>af285b762f5199480b4239d456e900b9e</anchor>
      <arglist>(bool enabled)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>valueChanged</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>a3707364129b2435d585abebc62c7d82a</anchor>
      <arglist>(int value)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>valueChanged</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>a4e1b237db14388b4ca3f898ae6fa3916</anchor>
      <arglist>(const TQString &amp;valueText)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SpinBox2</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>abd29e73fd76ff1537e951302c854054b</anchor>
      <arglist>(TQWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SpinBox2</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>a8524cc7ca829ea9d7ad75f2b23c39651</anchor>
      <arglist>(int minValue, int maxValue, int step=1, int step2=1, TQWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setReadOnly</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>aa47a99cba06202e8fd366657d9e334f6</anchor>
      <arglist>(bool readOnly)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isReadOnly</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>a8b0b6c7a8db4989528a9df2ff3125796</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSelectOnStep</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>a688f08106a48f23d8bac5c821f3e41be</anchor>
      <arglist>(bool sel)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReverseWithLayout</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>a755926e228b28affff5fa91f85a67d41</anchor>
      <arglist>(bool reverse)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>reverseButtons</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>a28aba7cd89616b263226ee4bffb569e5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>text</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>a243698fe8e56bb0455824b77909a5835</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQString</type>
      <name>prefix</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>ad104dab90fc38c8ea79aca7a0d99c6c0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQString</type>
      <name>suffix</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>a6a7e50f6b1abf35b3b0ea8c7e9e84515</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQString</type>
      <name>cleanText</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>aad618502bd9a94007a53d83d38efcdca</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setSpecialValueText</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>a8d851ee4339b9356ee7bbcca79fc82ab</anchor>
      <arglist>(const TQString &amp;text)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>specialValueText</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>a676f5a1eff24e6fc9306e55af56fb0c6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setWrapping</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>abaefe63a1ff1ca4bb8bcc8d0ff466aeb</anchor>
      <arglist>(bool on)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>wrapping</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>a0aa51186a2f90bac88728b2e6cfc1b66</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAlignment</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>a1b71d1c6ffd08a43f244551bd50d64f4</anchor>
      <arglist>(int a)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setButtonSymbols</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>ad4e7cd3aca76167105a79371e61fd2b5</anchor>
      <arglist>(TQSpinBox::ButtonSymbols)</arglist>
    </member>
    <member kind="function">
      <type>TQSpinBox::ButtonSymbols</type>
      <name>buttonSymbols</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>a61b06bbfd3e13b92e89fa17e5b77624e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setValidator</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>a26d5303765fea8db98d89677922660d6</anchor>
      <arglist>(const TQValidator *v)</arglist>
    </member>
    <member kind="function">
      <type>const TQValidator *</type>
      <name>validator</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>aae0abde643ed9b48a3b84085636e62f3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>minValue</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>a1ba6260d5d8dba73625b03e5e27a1bf7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>maxValue</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>a7ce4366ddcfad259737d72fb767d8f22</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setMinValue</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>a8f8b12c00209937484957f96f267cd68</anchor>
      <arglist>(int val)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setMaxValue</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>aa87bbb86839e5c0c76ad3c54eac6d76c</anchor>
      <arglist>(int val)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRange</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>a3f5359cdecf39719b6faf6ee00427d7b</anchor>
      <arglist>(int minValue, int maxValue)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>value</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>ad70836e50ed185ca747f34e9de0394cc</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>bound</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>a67f2aee18199ee0fb3428f6423469723</anchor>
      <arglist>(int val) const</arglist>
    </member>
    <member kind="function">
      <type>TQRect</type>
      <name>upRect</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>ac0cb3180e17afba8c988d72724ca2cd9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQRect</type>
      <name>downRect</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>a6da0a6f3dfbad2d21317d8739912fba0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQRect</type>
      <name>up2Rect</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>a9553aae8375dad778f249487414f1274</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQRect</type>
      <name>down2Rect</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>a0675cbbb7754c6def27b297c27296ab4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>lineStep</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>a770163743b5cac5e20bf91550aa17ca9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>lineShiftStep</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>aa110080611d05d21d0b2684d6f5b42e9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>pageStep</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>ab9caafe6f833c62eae1f3fe4664aa67c</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>pageShiftStep</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>a084842c3f7ac52d0013a820f5ecfb913</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLineStep</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>a8d19a6362f88722da93f86bab400d938</anchor>
      <arglist>(int step)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSteps</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>a6db1d1b35ef216f815d9ec15711054f9</anchor>
      <arglist>(int line, int page)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setShiftSteps</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>af91f511b836777b16fd9925e2ee882e5</anchor>
      <arglist>(int line, int page)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addPage</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>a08ad74f48282464a5d682d30a0949df5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>subtractPage</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>a87e265f522c027c1cec5979122d54b50</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addLine</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>a3549ead15d2aa4b83449d5d3a6f7dd65</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>subtractLine</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>adfe9940cbfb584d5fe7496c5762ecb96</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addValue</name>
      <anchorfile>classSpinBox2.html</anchorfile>
      <anchor>a2689026085b2e48be0d9bd94724eda85</anchor>
      <arglist>(int change)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SynchTimer</name>
    <filename>classSynchTimer.html</filename>
  </compound>
  <compound kind="class">
    <name>TimeEdit</name>
    <filename>classTimeEdit.html</filename>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>setValue</name>
      <anchorfile>classTimeEdit.html</anchorfile>
      <anchor>a0f106cb0b59e8a4b1ede3d4ed5bfdb1e</anchor>
      <arglist>(int minutes)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setValue</name>
      <anchorfile>classTimeEdit.html</anchorfile>
      <anchor>a54d641ead9921b372e9a987bdd5d5266</anchor>
      <arglist>(const TQTime &amp;t)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>valueChanged</name>
      <anchorfile>classTimeEdit.html</anchorfile>
      <anchor>af68ee30d31190b8ebf5886ef9e6fb34f</anchor>
      <arglist>(int minutes)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TimeEdit</name>
      <anchorfile>classTimeEdit.html</anchorfile>
      <anchor>ac8dae2d9630ad64bd8d14c0fb1c6e65d</anchor>
      <arglist>(TQWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isReadOnly</name>
      <anchorfile>classTimeEdit.html</anchorfile>
      <anchor>a7e96ea0f18f30e7593e45bb8e28ac8ff</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setReadOnly</name>
      <anchorfile>classTimeEdit.html</anchorfile>
      <anchor>a3052b91af82ce652e2bc2e2e4c77e38d</anchor>
      <arglist>(bool readOnly)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValid</name>
      <anchorfile>classTimeEdit.html</anchorfile>
      <anchor>ae7b25da96f460a76d993e0723892c622</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setValid</name>
      <anchorfile>classTimeEdit.html</anchorfile>
      <anchor>a51bcbb82b6fd1d3c0a423903a4a93b23</anchor>
      <arglist>(bool valid)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>value</name>
      <anchorfile>classTimeEdit.html</anchorfile>
      <anchor>a98fc5cdeeaaa512249f3d9c498e10a42</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQTime</type>
      <name>time</name>
      <anchorfile>classTimeEdit.html</anchorfile>
      <anchor>a5ad8a5300ebcd200db018ee1055cc7cc</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>wrapping</name>
      <anchorfile>classTimeEdit.html</anchorfile>
      <anchor>a252371bb8132224b48cabba3ddaa6c64</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setWrapping</name>
      <anchorfile>classTimeEdit.html</anchorfile>
      <anchor>a257981e8820639a2f2894e71d11ac361</anchor>
      <arglist>(bool on)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>minValue</name>
      <anchorfile>classTimeEdit.html</anchorfile>
      <anchor>af975925f112e18f5ea2cbe55b8471f98</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>maxValue</name>
      <anchorfile>classTimeEdit.html</anchorfile>
      <anchor>abc5b96a46b5c72b588848f9f5bd28da7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQTime</type>
      <name>maxTime</name>
      <anchorfile>classTimeEdit.html</anchorfile>
      <anchor>ac00956222d135e3ef358c20a3480f44b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMinValue</name>
      <anchorfile>classTimeEdit.html</anchorfile>
      <anchor>a00a39dda3f9f225f7ba30411033a8920</anchor>
      <arglist>(int minutes)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMaxValue</name>
      <anchorfile>classTimeEdit.html</anchorfile>
      <anchor>a68238dc8440679e8f7c5539af01aa96d</anchor>
      <arglist>(int minutes)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMaxValue</name>
      <anchorfile>classTimeEdit.html</anchorfile>
      <anchor>a5b5fd7f006e88f861eeaf249611e2654</anchor>
      <arglist>(const TQTime &amp;time)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TimePeriod</name>
    <filename>classTimePeriod.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>Units</name>
      <anchorfile>classTimePeriod.html</anchorfile>
      <anchor>a44a896a1505900788d5c0c8161ddb520</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>valueChanged</name>
      <anchorfile>classTimePeriod.html</anchorfile>
      <anchor>a2dfbba65af9876427efe5f098218da89</anchor>
      <arglist>(int minutes)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TimePeriod</name>
      <anchorfile>classTimePeriod.html</anchorfile>
      <anchor>a194ef537707ea68f41696756aa2f6303</anchor>
      <arglist>(bool allowMinute, TQWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isReadOnly</name>
      <anchorfile>classTimePeriod.html</anchorfile>
      <anchor>ac9f5544eb2277e0a372fb7ba5855dc03</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setReadOnly</name>
      <anchorfile>classTimePeriod.html</anchorfile>
      <anchor>a3b6d7d1c4773b106bbddbf8b205156aa</anchor>
      <arglist>(bool readOnly)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>minutes</name>
      <anchorfile>classTimePeriod.html</anchorfile>
      <anchor>a963675dccf150f064c7de245a40a11ec</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMinutes</name>
      <anchorfile>classTimePeriod.html</anchorfile>
      <anchor>a042e76a0aeda106482ecf28323fe5b2e</anchor>
      <arglist>(int minutes, bool dateOnly, Units defaultUnits)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDateOnly</name>
      <anchorfile>classTimePeriod.html</anchorfile>
      <anchor>aa392a25d78895e74948aec414c7cc9cf</anchor>
      <arglist>(bool dateOnly)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMaximum</name>
      <anchorfile>classTimePeriod.html</anchorfile>
      <anchor>a674d769519ab562a78b4793cdd8d08b8</anchor>
      <arglist>(int hourmin, int days)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSelectOnStep</name>
      <anchorfile>classTimePeriod.html</anchorfile>
      <anchor>a1bf220c41f6282d2581ce480e1a99d9d</anchor>
      <arglist>(bool select)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFocusOnCount</name>
      <anchorfile>classTimePeriod.html</anchorfile>
      <anchor>abcb62a5fe5de46b88ac33cc2dcee57f7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setWhatsThis</name>
      <anchorfile>classTimePeriod.html</anchorfile>
      <anchor>a103f07c083124682d73068d64efd8b5a</anchor>
      <arglist>(const TQString &amp;units, const TQString &amp;dayWeek, const TQString &amp;hourMin=TQString())</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TimeSpinBox</name>
    <filename>classTimeSpinBox.html</filename>
    <base>SpinBox2</base>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>setValue</name>
      <anchorfile>classTimeSpinBox.html</anchorfile>
      <anchor>a3e66f0ea2b58af9839c476c33e292256</anchor>
      <arglist>(int minutes)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setValue</name>
      <anchorfile>classTimeSpinBox.html</anchorfile>
      <anchor>a4b87fafde3e2a87a4c26ac0b73ebf8bd</anchor>
      <arglist>(const TQTime &amp;t)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>stepUp</name>
      <anchorfile>classTimeSpinBox.html</anchorfile>
      <anchor>a06323f6f3f0e1c97444975f975f75184</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>stepDown</name>
      <anchorfile>classTimeSpinBox.html</anchorfile>
      <anchor>abeade0de58a56e103ae036783c320a92</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TimeSpinBox</name>
      <anchorfile>classTimeSpinBox.html</anchorfile>
      <anchor>ae90fe5030f877d9834372060e0c74fb8</anchor>
      <arglist>(bool use24hour, TQWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TimeSpinBox</name>
      <anchorfile>classTimeSpinBox.html</anchorfile>
      <anchor>add03e45a0209fc7a3f76545ce0f2b064</anchor>
      <arglist>(int minMinute, int maxMinute, TQWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValid</name>
      <anchorfile>classTimeSpinBox.html</anchorfile>
      <anchor>a6ddf2ce6da9ea078948aa6e8580f68e0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setValid</name>
      <anchorfile>classTimeSpinBox.html</anchorfile>
      <anchor>abf2ff208c1a0dc0607b6d6853dad4bee</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>TQTime</type>
      <name>time</name>
      <anchorfile>classTimeSpinBox.html</anchorfile>
      <anchor>a6dc28ccf6aecd32412fb3c85b661aeca</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setMinValue</name>
      <anchorfile>classTimeSpinBox.html</anchorfile>
      <anchor>a349a679ffcf166401b54c416a3737c72</anchor>
      <arglist>(int minutes)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setMaxValue</name>
      <anchorfile>classTimeSpinBox.html</anchorfile>
      <anchor>acee532926949389c9363706e2720118f</anchor>
      <arglist>(int minutes)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMaxValue</name>
      <anchorfile>classTimeSpinBox.html</anchorfile>
      <anchor>aa60665f6b4abfeabc4b480e266b70215</anchor>
      <arglist>(const TQTime &amp;t)</arglist>
    </member>
    <member kind="function">
      <type>TQTime</type>
      <name>maxTime</name>
      <anchorfile>classTimeSpinBox.html</anchorfile>
      <anchor>ab4693dfa3385475be033b2d7b89bf32e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>shiftWhatsThis</name>
      <anchorfile>classTimeSpinBox.html</anchorfile>
      <anchor>a2569f508a8e2f999c29cda7940511b1a</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
</tagfile>
